## API Report File for "@fluentui/react-utilities"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { DispatchWithoutAction } from 'react';
import * as React_2 from 'react';

// @internal
export function applyTriggerPropsToChildren<TriggerChildProps>(children: TriggerProps<TriggerChildProps>['children'], triggerChildProps: TriggerChildProps): React_2.ReactElement | null;

// @public
export function canUseDOM(): boolean;

// @internal
export const clamp: (value: number, min: number, max: number) => number;

// @public
export type ComponentProps<Slots extends SlotPropsRecord, Primary extends keyof Slots = 'root'> = Omit<Slots, Primary & 'root'> & PropsWithoutRef<ExtractSlotProps<Slots[Primary]>>;

// @public
export type ComponentState<Slots extends SlotPropsRecord> = {
    components: {
        [Key in keyof Slots]-?: React_2.ComponentType<ExtractSlotProps<Slots[Key]>> | (ExtractSlotProps<Slots[Key]> extends AsIntrinsicElement<infer As> ? As : keyof JSX.IntrinsicElements);
    };
} & {
    [Key in keyof Slots]: ReplaceNullWithUndefined<Exclude<Slots[Key], SlotShorthandValue | (Key extends 'root' ? null : never)>>;
};

// @public
export type ExtractSlotProps<S> = Exclude<S, SlotShorthandValue | null | undefined>;

// @internal
export type FluentTriggerComponent = {
    isFluentTriggerComponent?: boolean;
};

// @public
export type ForwardRefComponent<Props> = ObscureEventName extends keyof Props ? Required<Props>[ObscureEventName] extends React_2.PointerEventHandler<infer Element> ? React_2.ForwardRefExoticComponent<Props & React_2.RefAttributes<Element>> : never : never;

// @public
export function getNativeElementProps<TAttributes extends React_2.HTMLAttributes<any>>(tagName: string, props: {}, excludedPropNames?: string[]): TAttributes;

// @public
export const getPartitionedNativeProps: <Props extends Pick<React_2.HTMLAttributes<HTMLElement>, "style" | "className">, ExcludedPropKeys extends Extract<keyof Props, string> = never>({ primarySlotTagName, props, excludedPropNames, }: {
    primarySlotTagName: keyof JSX.IntrinsicElements;
    props: Props;
    excludedPropNames?: ExcludedPropKeys[] | undefined;
}) => {
    root: {
        style: React_2.CSSProperties | undefined;
        className: string | undefined;
    };
    primary: Omit<Props, ExcludedPropKeys>;
};

// @internal
export const getRTLSafeKey: (key: string, dir: 'ltr' | 'rtl') => string;

// @public
export function getSlots<R extends SlotPropsRecord>(state: ComponentState<R>): {
    slots: Slots<R>;
    slotProps: ObjectSlotProps<R>;
};

// @internal
export function getTriggerChild<TriggerChildProps>(children: TriggerProps<TriggerChildProps>['children']): (React_2.ReactElement<Partial<TriggerChildProps>> & {
    ref?: React_2.Ref<any>;
}) | null;

// @public
export const IdPrefixProvider: React_2.Provider<string | undefined>;

// @internal
export function isFluentTrigger(element: React_2.ReactElement): element is React_2.ReactElement<TriggerProps>;

// @internal
export function isHTMLElement(element?: unknown): element is HTMLElement;

// @internal
export function isInteractiveHTMLElement(element: unknown): boolean;

// @public
export function isResolvedShorthand<Shorthand extends Slot<UnknownSlotProps>>(shorthand?: Shorthand): shorthand is ExtractSlotProps<Shorthand>;

// @internal
export function mergeCallbacks<Args extends unknown[]>(callback1: ((...args: Args) => void) | undefined, callback2: ((...args: Args) => void) | undefined): (...args: Args) => void;

// @public
export type RefObjectFunction<T> = React_2.RefObject<T> & ((value: T) => void);

// @public
export function resetIdsForTests(): void;

// @public
export const resolveShorthand: ResolveShorthandFunction;

// @public (undocumented)
export type ResolveShorthandFunction<Props extends UnknownSlotProps = UnknownSlotProps> = {
    <P extends Props | null>(value: P | SlotShorthandValue | undefined, options?: ResolveShorthandOptions<P, true>): ReplaceNullWithUndefined<P>;
    <P extends Props | null>(value: P | SlotShorthandValue | undefined, options?: ResolveShorthandOptions<P, boolean>): ReplaceNullWithUndefined<P> | undefined;
};

// @public (undocumented)
export type ResolveShorthandOptions<Props, Required extends boolean = false> = {
    required?: Required;
    defaultProps?: Props;
};

// @public
export type Slot<Type extends keyof JSX.IntrinsicElements | React_2.ComponentType | React_2.VoidFunctionComponent | UnknownSlotProps, AlternateAs extends keyof JSX.IntrinsicElements = never> = IsSingleton<Extract<Type, string>> extends true ? WithSlotShorthandValue<Type extends keyof JSX.IntrinsicElements ? {
    as?: Type;
} & WithSlotRenderFunction<IntrisicElementProps<Type>> : Type extends React_2.ComponentType<infer Props> ? WithSlotRenderFunction<Props> : Type> | {
    [As in AlternateAs]: {
        as: As;
    } & WithSlotRenderFunction<IntrisicElementProps<As>>;
}[AlternateAs] | null : 'Error: First parameter to Slot must not be not a union of types. See documentation of Slot type.';

// @public
export type SlotClassNames<Slots> = {
    [SlotName in keyof Slots]-?: string;
};

// @public
export type SlotPropsRecord = Record<string, UnknownSlotProps | SlotShorthandValue | null | undefined>;

// @public (undocumented)
export type SlotRenderFunction<Props> = (Component: React_2.ElementType<Props>, props: Omit<Props, 'children' | 'as'>) => React_2.ReactNode;

// @public (undocumented)
export type Slots<S extends SlotPropsRecord> = {
    [K in keyof S]: ExtractSlotProps<S[K]> extends AsIntrinsicElement<infer As> ? As : ExtractSlotProps<S[K]> extends React_2.ComponentType<infer P> ? React_2.ElementType<NonNullable<P>> : React_2.ElementType<ExtractSlotProps<S[K]>>;
};

// @public
export type SlotShorthandValue = React_2.ReactChild | React_2.ReactNode[] | React_2.ReactPortal;

// @public
export const SSRProvider: React_2.FC<{
    children: React_2.ReactNode;
}>;

// @public
export type TriggerProps<TriggerChildProps = unknown> = {
    children?: React_2.ReactElement | ((props: TriggerChildProps) => React_2.ReactElement | null) | null;
};

// @internal
export const useControllableState: <State>(options: UseControllableStateOptions<State>) => [State, React_2.Dispatch<React_2.SetStateAction<State>>];

// @internal (undocumented)
export type UseControllableStateOptions<State> = {
    defaultState?: State | (() => State);
    state: State | undefined;
    initialState: State;
};

// @internal
export const useEventCallback: <Args extends unknown[], Return>(fn: (...args: Args) => Return) => (...args: Args) => Return;

// @internal
export function useFirstMount(): boolean;

// @internal
export function useForceUpdate(): DispatchWithoutAction;

// @public
export function useId(prefix?: string, providedId?: string): string;

// @public
export const useIsomorphicLayoutEffect: typeof React_2.useEffect;

// @public
export function useIsSSR(): boolean;

// @public
export function useMergedRefs<T>(...refs: (React_2.Ref<T> | undefined)[]): RefObjectFunction<T>;

// @internal (undocumented)
export type UseOnClickOrScrollOutsideOptions = {
    element: Document | undefined;
    refs: React_2.MutableRefObject<HTMLElement | undefined | null>[];
    contains?(parent: HTMLElement | null, child: HTMLElement): boolean;
    disabled?: boolean;
    callback: (ev: MouseEvent | TouchEvent) => void;
};

// @internal
export const useOnClickOutside: (options: UseOnClickOrScrollOutsideOptions) => void;

// @internal
export const useOnScrollOutside: (options: UseOnClickOrScrollOutsideOptions) => void;

// @internal (undocumented)
export const usePrevious: <ValueType = unknown>(value: ValueType) => ValueType | null;

// @public (undocumented)
export function useScrollbarWidth(options: UseScrollbarWidthOptions): number | undefined;

// @internal
export function useTimeout(): readonly [(fn: () => void, delay: number) => void, () => void];

// (No @packageDocumentation comment for this package)

```
